Index: include/channel.h
===================================================================
RCS file: /cvsroot/ircd-ratbox/include/channel.h,v
retrieving revision 7.152.4.3
diff -b -u -r7.152.4.3 channel.h
--- include/channel.h	2 Aug 2004 21:15:38 -0000	7.152.4.3
+++ include/channel.h	19 Aug 2004 22:16:12 -0000
@@ -122,17 +122,20 @@
 /* channel status flags */
 #define CHFL_PEON		0x0000	/* normal member of channel */
 #define CHFL_CHANOP     	0x0001	/* Channel operator */
-#define CHFL_VOICE      	0x0002	/* the power to speak */
-#define CHFL_DEOPPED    	0x0004	/* deopped on sjoin, bounce modes */
-#define CHFL_BANNED		0x0008  /* cached as banned */
-#define ONLY_SERVERS		0x0010
+#define CHFL_HALFOP             0x0002
+#define CHFL_VOICE      	0x0004	/* the power to speak */
+#define CHFL_DEOPPED    	0x0008	/* deopped on sjoin, bounce modes */
+#define CHFL_BANNED 		0x00010	/* cached as banned */
+#define ONLY_SERVERS		0x00020
 #define ALL_MEMBERS		CHFL_PEON
-#define ONLY_CHANOPS		CHFL_CHANOP
+#define ONLY_CHANOPS		(CHFL_CHANOP)
+#define ONLY_CHANOPSHALFOPS     (CHFL_CHANOP|CHFL_HALFOP)
 #define ONLY_CHANOPSVOICED	(CHFL_CHANOP|CHFL_VOICE)
 
 #define is_chanop(x)	((x) && (x)->flags & CHFL_CHANOP)
+#define is_halfop(x)    ((x) && (x)->flags & CHFL_HALFOP)
 #define is_voiced(x)	((x) && (x)->flags & CHFL_VOICE)
-#define is_chanop_voiced(x) ((x) && (x)->flags & (CHFL_CHANOP|CHFL_VOICE))
+#define is_chanop_voiced(x) ((x) && (x)->flags & (CHFL_CHANOP|CHFL_HALFOP|CHFL_VOICE))
 #define is_deop(x)	((x) && (x)->flags & CHFL_DEOPPED)
 #define can_send_banned(x) ((x) && (x)->flags & CHFL_BANNED)
 
@@ -142,10 +145,10 @@
 #define MODE_MODERATED  0x0004
 #define MODE_TOPICLIMIT 0x0008
 #define MODE_INVITEONLY 0x0010
-#define MODE_NOPRIVMSGS 0x0020
-#define CHFL_BAN        0x0040	/* ban channel flag */
-#define CHFL_EXCEPTION  0x0080	/* exception to ban channel flag */
-#define CHFL_INVEX      0x0100
+#define MODE_NOPRIVMSGS 0x0040
+#define CHFL_BAN        0x0080	/* ban channel flag */
+#define CHFL_EXCEPTION  0x0100	/* exception to ban channel flag */
+#define CHFL_INVEX      0x0200
 
 /* mode flags for direction indication */
 #define MODE_QUERY     0
@@ -176,14 +179,13 @@
 
 extern void destroy_channel(struct Channel *);
 
-extern int can_send(struct Channel *chptr, struct Client *who, 
-		    struct membership *);
+extern int can_send(struct Channel *chptr, struct Client *who, struct membership *);
 extern int is_banned(struct Channel *chptr, struct Client *who,
 		     struct membership *msptr, const char *, const char *);
 extern int can_join(struct Client *source_p, struct Channel *chptr, char *key);
 
 extern struct membership *find_channel_membership(struct Channel *, struct Client *);
-extern const char *find_channel_status(struct membership *msptr, int combine);
+extern const char *find_channel_status(struct membership *msptr, int combine, int halfop);
 extern void add_user_to_channel(struct Channel *, struct Client *, int flags);
 extern void remove_user_from_channel(struct membership *);
 extern void remove_user_from_channels(struct Client *);
@@ -192,8 +194,7 @@
 
 extern int check_channel_name(const char *name);
 
-extern void channel_member_names(struct Channel *chptr, struct Client *,
-				 int show_eon);
+extern void channel_member_names(struct Channel *chptr, struct Client *, int show_eon);
 
 extern void del_invite(struct Channel *chptr, struct Client *who);
 
Index: include/hash.h
===================================================================
RCS file: /cvsroot/ircd-ratbox/include/hash.h,v
retrieving revision 7.51
diff -b -u -r7.51 hash.h
--- include/hash.h	14 Apr 2004 15:25:13 -0000	7.51
+++ include/hash.h	19 Aug 2004 22:16:13 -0000
@@ -80,7 +80,8 @@
 extern void del_from_id_hash(const char *name, struct Client *client);
 extern struct Client *find_id(const char *name);
 
-extern struct Channel *get_or_create_channel(struct Client *client_p, const char *chname, int *isnew);
+extern struct Channel *get_or_create_channel(struct Client *client_p, const char *chname,
+					     int *isnew);
 extern void del_from_channel_hash(const char *name, struct Channel *chan);
 extern struct Channel *find_channel(const char *name);
 
Index: include/ircd_defs.h
===================================================================
RCS file: /cvsroot/ircd-ratbox/include/ircd_defs.h,v
retrieving revision 7.50.4.1
diff -b -u -r7.50.4.1 ircd_defs.h
--- include/ircd_defs.h	3 Aug 2004 20:39:44 -0000	7.50.4.1
+++ include/ircd_defs.h	19 Aug 2004 22:16:13 -0000
@@ -131,11 +131,11 @@
 
 
 #ifdef SOCKADDR_IN_HAS_LEN
-struct irc_sockaddr_storage {
+struct irc_sockaddr_storage
+{
 	unsigned char ss_len;
         sa_family_t ss_family;
-        char __ss_pad1[((sizeof(int64_t)) - sizeof(unsigned char) -   
-                        sizeof(sa_family_t) )];
+	char __ss_pad1[((sizeof(int64_t)) - sizeof(unsigned char) - sizeof(sa_family_t))];
         int64_t __ss_align;
 #ifdef IPV6
         char __ss_pad2[(128 - sizeof(unsigned char) - sizeof(sa_family_t) -
@@ -149,9 +149,9 @@
   	sa_family_t ss_family;
   	u_int32_t __ss_align;
 #ifdef IPV6
-        char __ss_padding[(128 - (sizeof(sa_family_t) + sizeof (u_int32_t)))];
+	char __ss_padding[(128 - (sizeof(sa_family_t) + sizeof(u_int32_t)))];
 #else
-        char __ss_padding[(16 - (sizeof(sa_family_t) + sizeof (u_int32_t)))];
+	char __ss_padding[(16 - (sizeof(sa_family_t) + sizeof(u_int32_t)))];
 #endif 
 };
 #endif /* SOCKADDR_IN_HAS_LEN */
Index: include/parse.h
===================================================================
RCS file: /cvsroot/ircd-ratbox/include/parse.h,v
retrieving revision 7.22
diff -b -u -r7.22 parse.h
--- include/parse.h	15 Mar 2004 17:58:00 -0000	7.22
+++ include/parse.h	19 Aug 2004 22:16:14 -0000
@@ -40,8 +40,7 @@
 #define MAX_MSG_HASH  387
 
 extern void parse(struct Client *, char *, char *);
-extern void handle_encap(struct Client *, struct Client *, 
-		         const char *, int, const char *parv[]);
+extern void handle_encap(struct Client *, struct Client *, const char *, int, const char *parv[]);
 extern void clear_hash_parse(void);
 extern void mod_add_cmd(struct Message *msg);
 extern void mod_del_cmd(struct Message *msg);
Index: include/s_log.h
===================================================================
RCS file: /cvsroot/ircd-ratbox/include/s_log.h,v
retrieving revision 7.25
diff -b -u -r7.25 s_log.h
--- include/s_log.h	25 May 2004 10:49:45 -0000	7.25
+++ include/s_log.h	19 Aug 2004 22:16:15 -0000
@@ -56,9 +56,11 @@
 
 extern void init_main_logfile(void);
 extern void open_logfiles(void);
-extern void ilog(ilogfile dest, const char *fmt, ...) AFP(2, 3);
-extern void report_operspy(struct Client *, const char *, const char *);
-extern const char *smalldate(void);
-extern void report_error(const char *, const char *, const char *, int);
+extern void
+ilog(ilogfile dest, const char *fmt, ...)
+AFP(2, 3);
+     extern void report_operspy(struct Client *, const char *, const char *);
+     extern const char *smalldate(void);
+     extern void report_error(const char *, const char *, const char *, int);
 
 #endif
Index: include/s_newconf.h
===================================================================
RCS file: /cvsroot/ircd-ratbox/include/s_newconf.h,v
retrieving revision 7.32.2.1
diff -b -u -r7.32.2.1 s_newconf.h
--- include/s_newconf.h	3 Aug 2004 20:39:44 -0000	7.32.2.1
+++ include/s_newconf.h	19 Aug 2004 22:16:15 -0000
@@ -101,8 +101,7 @@
 extern struct remote_conf *make_remote_conf(void);
 extern void free_remote_conf(struct remote_conf *);
 
-extern int find_shared_conf(const char *username, const char *host,
-			const char *server, int flags);
+extern int find_shared_conf(const char *username, const char *host, const char *server, int flags);
 extern void propagate_generic(struct Client *source_p, const char *command,
 		const char *target, int cap, const char *format, ...);
 extern void cluster_generic(struct Client *, const char *, int cltype,
@@ -206,8 +205,7 @@
 
 extern void attach_server_conf(struct Client *, struct server_conf *);
 extern void detach_server_conf(struct Client *);
-extern void set_server_conf_autoconn(struct Client *source_p, char *name, 
-					int newval);
+extern void set_server_conf_autoconn(struct Client *source_p, char *name, int newval);
 
 
 extern struct ConfItem *find_xline(const char *, int);
@@ -219,7 +217,7 @@
 
 struct nd_entry
 {
-	char name[NICKLEN+1];
+	char name[NICKLEN + 1];
 	time_t expire;
 	unsigned int hashv;
 
@@ -232,4 +230,3 @@
 extern unsigned long get_nd_count(void);
 
 #endif
-
Index: include/s_serv.h
===================================================================
RCS file: /cvsroot/ircd-ratbox/include/s_serv.h,v
retrieving revision 7.94
diff -b -u -r7.94 s_serv.h
--- include/s_serv.h	12 Apr 2004 02:26:41 -0000	7.94
+++ include/s_serv.h	19 Aug 2004 22:16:15 -0000
@@ -70,6 +70,7 @@
 #define CAP_CLUSTER     0x02000	/* supports cluster stuff */
 #define CAP_ENCAP	0x04000	/* supports ENCAP */
 #define CAP_TS6		0x08000 /* supports TS6 or above */
+#define CAP_HOPS        0x10000	/* supports halfops */
 
 #define CAP_MASK        (CAP_QS  | CAP_EX   | CAP_CHW  | \
                          CAP_IE  | CAP_KLN  | \
Index: include/send.h
===================================================================
RCS file: /cvsroot/ircd-ratbox/include/send.h,v
retrieving revision 7.81
diff -b -u -r7.81 send.h
--- include/send.h	15 Mar 2004 17:58:00 -0000	7.81
+++ include/send.h	19 Aug 2004 22:16:16 -0000
@@ -40,38 +40,40 @@
 extern void send_queued_write(int fd, void *data);
 extern void send_queued_slink_write(int fd, void *data);
 
-extern void sendto_one(struct Client *target_p, const char *, ...) AFP(2, 3);
-extern void sendto_one_notice(struct Client *target_p,const char *, ...) AFP(2, 3);
-extern void sendto_one_prefix(struct Client *target_p, struct Client *source_p,
+extern void
+sendto_one(struct Client *target_p, const char *, ...)
+AFP(2, 3);
+     extern void sendto_one_notice(struct Client *target_p, const char *, ...) AFP(2, 3);
+     extern void sendto_one_prefix(struct Client *target_p, struct Client *source_p,
 			      const char *command, const char *, ...) AFP(4, 5);
-extern void sendto_one_numeric(struct Client *target_p,
+     extern void sendto_one_numeric(struct Client *target_p,
 			       int numeric, const char *, ...) AFP(3, 4);
 
-extern void sendto_server(struct Client *one, struct Channel *chptr,
+     extern void sendto_server(struct Client *one, struct Channel *chptr,
 			  unsigned long caps, unsigned long nocaps,
 			  const char *format, ...) AFP(5, 6);
 
-extern void sendto_channel_flags(struct Client *one, int type, struct Client *source_p,
+     extern void sendto_channel_flags(struct Client *one, int type, struct Client *source_p,
 				 struct Channel *chptr, const char *, ...) AFP(5, 6);
 
-extern void sendto_channel_local(int type, struct Channel *, const char *, ...) AFP(3, 4);
-extern void sendto_common_channels_local(struct Client *, const char *, ...) AFP(2, 3);
+     extern void sendto_channel_local(int type, struct Channel *, const char *, ...) AFP(3, 4);
+     extern void sendto_common_channels_local(struct Client *, const char *, ...) AFP(2, 3);
 
 
-extern void sendto_match_butone(struct Client *, struct Client *,
+     extern void sendto_match_butone(struct Client *, struct Client *,
 				const char *, int, const char *, ...) AFP(5, 6);
-extern void sendto_match_servs(struct Client *source_p, const char *mask, 
+     extern void sendto_match_servs(struct Client *source_p, const char *mask,
 				int capab, int, const char *, ...) AFP(5, 6);
 
-extern void sendto_anywhere(struct Client *, struct Client *, const char *,
+     extern void sendto_anywhere(struct Client *, struct Client *, const char *,
 			    const char *, ...) AFP(4, 5);
 
-extern void sendto_realops_flags(int, int, const char *, ...) AFP(3, 4);
-extern void sendto_wallops_flags(int, struct Client *, const char *, ...) AFP(3, 4);
+     extern void sendto_realops_flags(int, int, const char *, ...) AFP(3, 4);
+     extern void sendto_wallops_flags(int, struct Client *, const char *, ...) AFP(3, 4);
 
-extern void kill_client(struct Client *client_p, struct Client *diedie,
+     extern void kill_client(struct Client *client_p, struct Client *diedie,
 			 const char *pattern, ...) AFP(3, 4);
-extern void kill_client_serv_butone(struct Client *one, struct Client *source_p, 
+     extern void kill_client_serv_butone(struct Client *one, struct Client *source_p,
 				    const char *pattern, ...) AFP(3, 4);
 
 #define L_ALL 	0
Index: include/sprintf_irc.h
===================================================================
RCS file: /cvsroot/ircd-ratbox/include/sprintf_irc.h,v
retrieving revision 7.15
diff -b -u -r7.15 sprintf_irc.h
--- include/sprintf_irc.h	15 Mar 2004 17:58:00 -0000	7.15
+++ include/sprintf_irc.h	19 Aug 2004 22:16:16 -0000
@@ -38,8 +38,11 @@
  * ircsprintf - optimized sprintf
  */
 #ifdef __GNUC__
-int ircsprintf(char *str, const char *fmt, ...) __attribute((format(printf, 2, 3)));
-int ircsnprintf(char *str, const size_t size, const char *, ...) __attribute__ ((format(printf, 3, 4)));
+int
+ircsprintf(char *str, const char *fmt, ...)
+__attribute((format(printf, 2, 3)));
+     int ircsnprintf(char *str, const size_t size, const char *, ...)
+	__attribute__ ((format(printf, 3, 4)));
 #else
 int ircsprintf(char *str, const char *format, ...);
 int ircsnprintf(char *str, const size_t size, const char *, ...);
Index: include/supported.h
===================================================================
RCS file: /cvsroot/ircd-ratbox/include/supported.h,v
retrieving revision 1.41
diff -b -u -r1.41 supported.h
--- include/supported.h	21 Apr 2004 14:11:58 -0000	1.41
+++ include/supported.h	19 Aug 2004 22:16:16 -0000
@@ -32,7 +32,7 @@
 #include "ircd_defs.h"
 
 #define FEATURES "STD=i-d"		\
-		" STATUSMSG=@+"		\
+		" STATUSMSG=@%%+"	\
                 "%s%s%s"		\
                 " MODES=%i"		\
                 " MAXCHANNELS=%i"	\
@@ -52,7 +52,7 @@
 
 #define FEATURES2 "CHANNELLEN=%i"	\
 		" CHANTYPES=#&"		\
-		" PREFIX=(ov)@+" 	\
+		" PREFIX=(ohv)@%%+" 	\
 		" CHANMODES=%s%sb,k,l,imnpst"	\
 		" NETWORK=%s"		\
 		" CASEMAPPING=rfc1459"	\
Index: modules/m_accept.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/modules/m_accept.c,v
retrieving revision 1.58.4.1
diff -b -u -r1.58.4.1 m_accept.c
--- modules/m_accept.c	3 Aug 2004 02:12:39 -0000	1.58.4.1
+++ modules/m_accept.c	19 Aug 2004 22:16:16 -0000
@@ -51,6 +51,7 @@
 mapi_clist_av1 accept_clist[] = {
 	&accept_msgtab, NULL
 };
+
 DECLARE_MODULE_AV1(accept, NULL, NULL, accept_clist, NULL, NULL, "$Revision: 1.58.4.1 $");
 
 /*
@@ -77,7 +78,7 @@
 	build_nicklist(source_p, addbuf, delbuf, parv[1]);
 
 	/* parse the delete list */
-	for (nick = strtoken(&p, delbuf, ","); nick != NULL; nick = strtoken(&p, NULL, ","))
+	for(nick = strtoken(&p, delbuf, ","); nick != NULL; nick = strtoken(&p, NULL, ","))
 	{
 		/* shouldnt happen, but lets be paranoid */
 		if((target_p = find_named_person(nick)) == NULL)
@@ -102,7 +103,7 @@
 	accept_num = dlink_list_length(&source_p->localClient->allow_list);
 
 	/* parse the add list */
-	for (nick = strtoken(&p, addbuf, ","); nick; nick = strtoken(&p, NULL, ","), accept_num++)
+	for(nick = strtoken(&p, addbuf, ","); nick; nick = strtoken(&p, NULL, ","), accept_num++)
 	{
 		/* shouldnt happen, but lets be paranoid */
 		if((target_p = find_named_person(nick)) == NULL)
@@ -160,7 +161,7 @@
 	del = lenadd = lendel = 0;
 
 	/* build list of clients to add into addbuf, clients to remove in delbuf */
-	for (name = strtoken(&p, n, ","); name; name = strtoken(&p, NULL, ","), del = 0)
+	for(name = strtoken(&p, n, ","); name; name = strtoken(&p, NULL, ","), del = 0)
 	{
 		if(*name == '-')
 		{
@@ -254,10 +255,8 @@
 	}
 
 	if(*nicks)
-		sendto_one(source_p, form_str(RPL_ACCEPTLIST), 
-			   me.name, source_p->name, nicks);
+		sendto_one(source_p, form_str(RPL_ACCEPTLIST), me.name, source_p->name, nicks);
 
-	sendto_one(source_p, form_str(RPL_ENDOFACCEPT), 
-		   me.name, source_p->name);
+	sendto_one(source_p, form_str(RPL_ENDOFACCEPT), me.name, source_p->name);
 
 }
Index: modules/m_admin.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/modules/m_admin.c,v
retrieving revision 1.59
diff -b -u -r1.59 m_admin.c
--- modules/m_admin.c	15 Mar 2004 17:58:02 -0000	1.59
+++ modules/m_admin.c	19 Aug 2004 22:16:16 -0000
@@ -52,8 +52,8 @@
 
 mapi_clist_av1 admin_clist[] = { &admin_msgtab, NULL };
 mapi_hlist_av1 admin_hlist[] = { 
-	{ "doing_admin",	&doing_admin_hook },
-	{ NULL, NULL }
+	{"doing_admin", &doing_admin_hook},
+	{NULL, NULL}
 };
 
 DECLARE_MODULE_AV1(admin, NULL, NULL, admin_clist, admin_hlist, NULL, "$Revision: 1.59 $");
@@ -71,9 +71,7 @@
 	if((last_used + ConfigFileEntry.pace_wait) > CurrentTime)
 	{
 		sendto_one(source_p, form_str(RPL_LOAD2HI), 
-			   me.name, 
-			   EmptyString(source_p->name) ? "*" : source_p->name, 
-			   "ADMIN");
+			   me.name, EmptyString(source_p->name) ? "*" : source_p->name, "ADMIN");
 		return 0;
 	}
 	else
Index: modules/m_away.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/modules/m_away.c,v
retrieving revision 1.57.2.1
diff -b -u -r1.57.2.1 m_away.c
--- modules/m_away.c	3 Aug 2004 02:01:47 -0000	1.57.2.1
+++ modules/m_away.c	19 Aug 2004 22:16:17 -0000
@@ -46,6 +46,7 @@
 };
 
 mapi_clist_av1 away_clist[] = { &away_msgtab, NULL };
+
 DECLARE_MODULE_AV1(away, NULL, NULL, away_clist, NULL, NULL, "$Revision: 1.57.2.1 $");
 
 /***********************************************************************
@@ -89,14 +90,12 @@
 			/* we now send this only if they were away before --is */
 			sendto_server(client_p, NULL, CAP_TS6, NOCAPS,
 				      ":%s AWAY", use_id(source_p));
-			sendto_server(client_p, NULL, NOCAPS, CAP_TS6, 
-				      ":%s AWAY", source_p->name);
+			sendto_server(client_p, NULL, NOCAPS, CAP_TS6, ":%s AWAY", source_p->name);
 			MyFree(away);
 			source_p->user->away = NULL;
 		}
 		if(MyConnect(source_p))
-			sendto_one(source_p, form_str(RPL_UNAWAY),
-				   me.name, source_p->name);
+			sendto_one(source_p, form_str(RPL_UNAWAY), me.name, source_p->name);
 		return 0;
 	}
 
Index: modules/m_capab.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/modules/m_capab.c,v
retrieving revision 1.48
diff -b -u -r1.48 m_capab.c
--- modules/m_capab.c	20 Mar 2004 00:34:33 -0000	1.48
+++ modules/m_capab.c	19 Aug 2004 22:16:17 -0000
@@ -46,6 +46,7 @@
 };
 
 mapi_clist_av1 capab_clist[] = { &capab_msgtab, &gcap_msgtab, NULL };
+
 DECLARE_MODULE_AV1(capab, NULL, NULL, capab_clist, NULL, NULL, "$Revision: 1.48 $");
 
 /*
@@ -77,12 +78,12 @@
 
 	DupString(client_p->localClient->fullcaps, parv[1]);
 
-	for (i = 1; i < parc; i++)
+	for(i = 1; i < parc; i++)
 	{
 		char *t = LOCAL_COPY(parv[i]);
-		for (s = strtoken(&p, t, " "); s; s = strtoken(&p, NULL, " "))
+		for(s = strtoken(&p, t, " "); s; s = strtoken(&p, NULL, " "))
 		{
-			for (cap = captab; cap->name; cap++)
+			for(cap = captab; cap->name; cap++)
 			{
 				if(!irccmp(cap->name, s))
 				{
@@ -97,8 +98,7 @@
 }
 
 static int
-me_gcap(struct Client *client_p, struct Client *source_p,
-		int parc, const char *parv[])
+me_gcap(struct Client *client_p, struct Client *source_p, int parc, const char *parv[])
 {
 	struct Capability *cap;
 	char *t = LOCAL_COPY(parv[1]);
@@ -114,9 +114,9 @@
 
 	DupString(source_p->serv->fullcaps, parv[1]);
 
-	for (s = strtoken(&p, t, " "); s; s = strtoken(&p, NULL, " "))
+	for(s = strtoken(&p, t, " "); s; s = strtoken(&p, NULL, " "))
 	{
-		for (cap = captab; cap->name; cap++)
+		for(cap = captab; cap->name; cap++)
 		{
 			if(!irccmp(cap->name, s))
 			{
Index: modules/m_challenge.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/modules/Attic/m_challenge.c,v
retrieving revision 1.70.2.1
diff -b -u -r1.70.2.1 m_challenge.c
--- modules/m_challenge.c	3 Aug 2004 02:01:47 -0000	1.70.2.1
+++ modules/m_challenge.c	19 Aug 2004 22:16:17 -0000
@@ -54,7 +54,8 @@
 #ifndef HAVE_LIBCRYPTO
 /* Maybe this should be an error or something?-davidt */
 /* now it is	-larne	*/
-static int	challenge_load(void)
+static int
+challenge_load(void)
 {
 #ifndef STATIC_MODULES
 	sendto_realops_flags(UMODE_ALL, L_ALL, 
@@ -78,6 +79,7 @@
 };
 
 mapi_clist_av1 challenge_clist[] = { &challenge_msgtab, NULL };
+
 DECLARE_MODULE_AV1(challenge, NULL, NULL, challenge_clist, NULL, NULL, "$Revision: 1.70.2.1 $");
 
 static int generate_challenge(char **r_challenge, char **r_response, RSA * key);
@@ -124,13 +126,11 @@
 		}
 
 		oper_p = find_oper_conf(source_p->username, source_p->host, 
-					source_p->sockhost, 
-					source_p->localClient->auth_oper);
+					source_p->sockhost, source_p->localClient->auth_oper);
 
 		if(oper_p == NULL)
 		{
-			sendto_one(source_p, form_str(ERR_NOOPERHOST), 
-				   me.name, source_p->name);
+			sendto_one(source_p, form_str(ERR_NOOPERHOST), me.name, source_p->name);
 			ilog(L_FOPER, "FAILED OPER (%s) by (%s!%s@%s)",
 			     source_p->localClient->auth_oper, source_p->name,
 			     source_p->username, source_p->host);
@@ -161,15 +161,13 @@
 	source_p->localClient->response = NULL;
 	source_p->localClient->auth_oper = NULL;
 
-	oper_p = find_oper_conf(source_p->username, source_p->host, 
-				source_p->sockhost, parv[1]);
+	oper_p = find_oper_conf(source_p->username, source_p->host, source_p->sockhost, parv[1]);
 
 	if(oper_p == NULL)
 	{
 		sendto_one(source_p, form_str(ERR_NOOPERHOST), me.name, source_p->name);
 		ilog(L_FOPER, "FAILED OPER (%s) by (%s!%s@%s)",
-		     parv[1], source_p->name,
-		     source_p->username, source_p->host);
+		     parv[1], source_p->name, source_p->username, source_p->host);
 
 		if(ConfigFileEntry.failed_oper_notice)
 			sendto_realops_flags(UMODE_ALL, L_ALL,
@@ -202,7 +200,7 @@
 	static const char trans[] = "0123456789ABCDEF";
 	int i;
 
-	for (i = 0; i < length; i++)
+	for(i = 0; i < length; i++)
 	{
 		hex[i << 1] = trans[bin[i] >> 4];
 		hex[(i << 1) + 1] = trans[bin[i] & 0xf];
@@ -225,7 +223,8 @@
 	 	if(RAND_bytes(buf, length) > 0)
 	 	        return 1;
 	}
-	else {
+	else
+	{
 	        if(RAND_pseudo_bytes(buf, length) >= 0)
 	                return 1;
 	}
@@ -261,7 +260,7 @@
 	}
 
 	ERR_load_crypto_strings();
-	while ((cnt < 100) && (e = ERR_get_error()))
+	while((cnt < 100) && (e = ERR_get_error()))
 	{
 		ilog(L_MAIN, "SSL error: %s", ERR_error_string(e, 0));
 		cnt++;
Index: modules/m_connect.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/modules/m_connect.c,v
retrieving revision 1.71
diff -b -u -r1.71 m_connect.c
--- modules/m_connect.c	29 Mar 2004 12:16:56 -0000	1.71
+++ modules/m_connect.c	19 Aug 2004 22:16:17 -0000
@@ -49,6 +49,7 @@
 };
 
 mapi_clist_av1 connect_clist[] = { &connect_msgtab, NULL };
+
 DECLARE_MODULE_AV1(connect, NULL, NULL, connect_clist, NULL, NULL, "$Revision: 1.71 $");
 
 /*
@@ -74,8 +75,7 @@
 
 	if(MyConnect(source_p) && !IsOperRemote(source_p) && parc > 3)
 	{
-		sendto_one(source_p, form_str(ERR_NOPRIVS),
-			   me.name, source_p->name, "remote");
+		sendto_one(source_p, form_str(ERR_NOPRIVS), me.name, source_p->name, "remote");
 		return 0;
 	}
 
@@ -95,8 +95,7 @@
 	if((server_p = find_server_conf(parv[1])) == NULL)
 	{
 		sendto_one(source_p,
-			   "NOTICE %s :Connect: Host %s not listed in ircd.conf",
-			   parv[0], parv[1]);
+			   "NOTICE %s :Connect: Host %s not listed in ircd.conf", parv[0], parv[1]);
 		return 0;
 	}
 
@@ -191,8 +190,7 @@
 	 */
 	if((server_p = find_server_conf(parv[1])) == NULL)
 	{
-		sendto_one_notice(source_p, ":Connect: Host %s not listed in ircd.conf",
-				  parv[1]);
+		sendto_one_notice(source_p, ":Connect: Host %s not listed in ircd.conf", parv[1]);
 		return 0;
 	}
 
@@ -218,8 +216,7 @@
 	 * Notify all operators about remote connect requests
 	 */
 	sendto_wallops_flags(UMODE_WALLOP, &me,
-			     "Remote CONNECT %s %d from %s", 
-			     parv[1], port, source_p->name);
+			     "Remote CONNECT %s %d from %s", parv[1], port, source_p->name);
 	sendto_server(NULL, NULL, CAP_TS6, NOCAPS,
 		      ":%s WALLOPS :Remote CONNECT %s %d from %s",
 		      me.id, parv[1], port, source_p->name);
Index: modules/m_dline.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/modules/m_dline.c,v
retrieving revision 1.36.2.1
diff -b -u -r1.36.2.1 m_dline.c
--- modules/m_dline.c	3 Aug 2004 20:39:47 -0000	1.36.2.1
+++ modules/m_dline.c	19 Aug 2004 22:16:17 -0000
@@ -59,6 +59,7 @@
 };
 
 mapi_clist_av1 dline_clist[] = { &dline_msgtab, &undline_msgtab, NULL };
+
 DECLARE_MODULE_AV1(dline, NULL, NULL, dline_clist, NULL, NULL, "$Revision: 1.36.2.1 $");
 
 static int valid_comment(char *comment);
@@ -71,8 +72,7 @@
  *   parv[2] - reason
  */
 static int
-mo_dline(struct Client *client_p, struct Client *source_p,
-	 int parc, const char *parv[])
+mo_dline(struct Client *client_p, struct Client *source_p, int parc, const char *parv[])
 {
 	char def[] = "No Reason";
 	const char *dlhost;
@@ -89,8 +89,7 @@
 
 	if(!IsOperK(source_p))
 	{
-		sendto_one(source_p, form_str(ERR_NOPRIVS),
-			   me.name, source_p->name, "kline");
+		sendto_one(source_p, form_str(ERR_NOPRIVS), me.name, source_p->name, "kline");
 		return 0;
 	}
 
@@ -109,8 +108,7 @@
 
 	if(!parse_netmask(dlhost, NULL, &bits))
 	{
-		sendto_one(source_p, ":%s NOTICE %s :Invalid D-Line",
-			   me.name, source_p->name);
+		sendto_one(source_p, ":%s NOTICE %s :Invalid D-Line", me.name, source_p->name);
 		return 0;
 	}
 
@@ -155,7 +153,7 @@
 	{
 		const char *creason;
 		int t = AF_INET, ty, b;
-		ty = parse_netmask(dlhost, (struct sockaddr *)&daddr, &b);
+		ty = parse_netmask(dlhost, (struct sockaddr *) &daddr, &b);
 #ifdef IPV6
         	if(ty == HM_IPV6)
                 	t = AF_INET6;
@@ -163,7 +161,7 @@
 #endif
 			t = AF_INET;
                                   		
-		if((aconf = find_dline((struct sockaddr *)&daddr, t)) != NULL)
+		if((aconf = find_dline((struct sockaddr *) &daddr, t)) != NULL)
 		{
 			int bx;
 			parse_netmask(aconf->host, NULL, &bx);
@@ -216,8 +214,7 @@
 					     get_oper_name(source_p), tdline_time / 60,
 					     aconf->host, reason);
 			ilog(L_KLINE, "D %s %d %s %s",
-				get_oper_name(source_p), tdline_time / 60,
-				aconf->host, reason);
+			     get_oper_name(source_p), tdline_time / 60, aconf->host, reason);
 		}
 		else
 		{
@@ -265,8 +262,7 @@
 
 	if(!IsOperUnkline(source_p))
 	{
-		sendto_one(source_p, form_str(ERR_NOPRIVS),
-			   me.name, source_p->name, "unkline");
+		sendto_one(source_p, form_str(ERR_NOPRIVS), me.name, source_p->name, "unkline");
 		return 0;
 	}
 
@@ -303,7 +299,7 @@
 
 	umask(oldumask);
 
-	while (fbgets(buf, sizeof(buf), in))
+	while(fbgets(buf, sizeof(buf), in))
 	{
 		strlcpy(buff, buf, sizeof(buff));
 
@@ -342,14 +338,12 @@
 	if(error_on_write)
 	{
 		sendto_one(source_p,
-			   ":%s NOTICE %s :Couldn't write D-line file, aborted", 
-			   me.name, parv[0]);
+			   ":%s NOTICE %s :Couldn't write D-line file, aborted", me.name, parv[0]);
 		return 0;
 	}
 	else if(!pairme)
 	{
-		sendto_one(source_p, ":%s NOTICE %s :No D-Line for %s",
-			   me.name, parv[0], cidr);
+		sendto_one(source_p, ":%s NOTICE %s :No D-Line for %s", me.name, parv[0], cidr);
 
 		if(temppath != NULL)
 			(void) unlink(temppath);
@@ -447,9 +441,9 @@
 	int bits, cbits;
 	int i;
 
-	parse_netmask(host, (struct sockaddr *)&addr, &bits);
+	parse_netmask(host, (struct sockaddr *) &addr, &bits);
 
-	for (i = 0; tdline_list[i] != NULL; i++)
+	for(i = 0; tdline_list[i] != NULL; i++)
 	{
 		tdlist = tdline_list[i];
 
@@ -457,9 +451,11 @@
 		{
 			aconf = ptr->data;
 
-			parse_netmask(aconf->host, (struct sockaddr *)&caddr, &cbits);
+			parse_netmask(aconf->host, (struct sockaddr *) &caddr, &cbits);
 
-			if(comp_with_mask_sock((struct sockaddr *)&addr, (struct sockaddr *)&caddr, bits) && bits == cbits)
+			if(comp_with_mask_sock
+			   ((struct sockaddr *) &addr, (struct sockaddr *) &caddr, bits)
+			   && bits == cbits)
 			{
 				dlinkDestroy(ptr, tdlist);
 				delete_one_address_conf(aconf->host, aconf);
Index: modules/m_encap.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/modules/m_encap.c,v
retrieving revision 1.19
diff -b -u -r1.19 m_encap.c
--- modules/m_encap.c	15 Mar 2004 17:58:02 -0000	1.19
+++ modules/m_encap.c	19 Aug 2004 22:16:17 -0000
@@ -46,8 +46,7 @@
 #include "modules.h"
 #include "sprintf_irc.h"
 
-static int ms_encap(struct Client *client_p, struct Client *source_p,
-		     int parc, const char *parv[]);
+static int ms_encap(struct Client *client_p, struct Client *source_p, int parc, const char *parv[]);
 
 struct Message encap_msgtab = {
 	"ENCAP", 0, 0, 0, MFLG_SLOW,
@@ -55,6 +54,7 @@
 };
 
 mapi_clist_av1 encap_clist[] = { &encap_msgtab, NULL };
+
 DECLARE_MODULE_AV1(encap, NULL, NULL, encap_clist, NULL, NULL, "$Revision: 1.19 $");
 
 /* ms_encap()
@@ -79,7 +79,7 @@
 		len = strlen(parv[i]) + 1;
 
 		/* ugh, not even at the last parameter, just bail --fl */
-		if((size_t)(cur_len + len) >= sizeof(buffer))
+		if((size_t) (cur_len + len) >= sizeof(buffer))
 			return 0;
 
 		ircsnprintf(ptr, sizeof(buffer) - cur_len, "%s ", parv[i]);
@@ -93,14 +93,13 @@
 	if(parc == 3)
 		ircsnprintf(ptr, sizeof(buffer) - cur_len, "%s", parv[2]);
 	else
-		ircsnprintf(ptr, sizeof(buffer) - cur_len, ":%s", parv[parc-1]);
+		ircsnprintf(ptr, sizeof(buffer) - cur_len, ":%s", parv[parc - 1]);
 
 	/* add a trailing \0 if it was too long */
 	if((cur_len + len) >= BUFSIZE)
-		buffer[BUFSIZE-1] = '\0';
+		buffer[BUFSIZE - 1] = '\0';
 
-	sendto_match_servs(source_p, parv[1], CAP_ENCAP, NOCAPS,
-			   "ENCAP %s", buffer);
+	sendto_match_servs(source_p, parv[1], CAP_ENCAP, NOCAPS, "ENCAP %s", buffer);
 
 	/* if it matches us, find a matching handler and call it */
 	if(match(parv[1], me.name))
@@ -108,5 +107,3 @@
 
 	return 0;
 }
-
-
Index: modules/m_etrace.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/modules/Attic/m_etrace.c,v
retrieving revision 1.10.4.1
diff -b -u -r1.10.4.1 m_etrace.c
--- modules/m_etrace.c	3 Aug 2004 20:39:47 -0000	1.10.4.1
+++ modules/m_etrace.c	19 Aug 2004 22:16:18 -0000
@@ -58,6 +58,7 @@
 };
 
 mapi_clist_av1 etrace_clist[] =  { &etrace_msgtab, NULL };
+
 DECLARE_MODULE_AV1(etrace, NULL, NULL, etrace_clist, NULL, NULL, "$Revision: 1.10.4.1 $");
 
 /*
@@ -86,7 +87,8 @@
 		else
 #endif
 		{
-			inetntop_sock((struct sockaddr *)&target_p->localClient->ip, ip, sizeof(ip));
+			inetntop_sock((struct sockaddr *) &target_p->localClient->ip, ip,
+				      sizeof(ip));
 			ip_ptr = ip;
 		}
 
@@ -101,4 +103,3 @@
 	sendto_one_numeric(source_p, RPL_ENDOFTRACE, form_str(RPL_ENDOFTRACE), me.name);
 	return 0;
 }
-
